import { jsx } from "react/jsx-runtime";
import { TokenEML as TokenEML$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenEML = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "EML", "data-name": "TokenEML", ...props, children: /* @__PURE__ */ jsx(TokenEML$1, { variant }) });
  }
);
TokenEML.displayName = "TokenEML";
Object.assign(TokenEML, { isGdsIcon: true });
export {
  TokenEML
};
